/*
   Copyright (C) 2009 José Millán Soto <fid@gpul.org>
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef CONTACTNOTIFIERPREFERENCES_H
#define CONTACTNOTIFIERPREFERENCES_H

#include <kcmodule.h>
#include <QVariantList>

namespace Ui { class ContactNotifierPreferencesWidget; }

class ContactNotifierPreferences:
    public KCModule {
    Q_OBJECT
    
    public:
        ContactNotifierPreferences(QWidget *parent, const QVariantList &args);
        ~ContactNotifierPreferences();

        virtual void save();
        virtual void defaults();
        virtual void load();

    public slots:
        void sendAwayStateChanged(int state);

    private:
        bool m_sendIfAway;
        Ui::ContactNotifierPreferencesWidget *m_ui;
        void updateUi();
};
#endif
