/*
    Copyright (C) 2009 José Millán Soto <fid@gpul.org>
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "urlf.h"

#include <kgenericfactory.h>

UrlF::UrlF(QObject *parent, const QVariantList &)
  :KUriFilterPlugin( "urlfurifilter", parent )
{
}

bool UrlF::filterUri(KUriFilterData &data) const
{
    KUrl url = data.uri();
    QString newUrlBegining;
    QString newUrlEnding;
    int firstYear;
    if ( url.protocol() == "akademy" ) {
        newUrlBegining = "http://akademy";
        newUrlEnding = ".kde.org";
    } else if ( url.protocol() == "akademy-es" ) {
        newUrlBegining = "http://kde-espana.es/akademy";
        newUrlEnding = "";
    } else return false;
    bool conversionOk;
    QString yearStr = url.path(KUrl::RemoveTrailingSlash);
    int year = yearStr.toInt(&conversionOk);
    if (!conversionOk) return false;
    KUrl newUrl(newUrlBegining+yearStr+newUrlEnding);
    setFilteredUri(data, newUrl);
    return true;
}

K_PLUGIN_FACTORY(UrlFUriFilterFactory, registerPlugin<UrlF>();)
K_EXPORT_PLUGIN(UrlFUriFilterFactory("kcmkurifilt"))

#include "urlf.moc"
